import 'package:bloc/bloc.dart';

import 'bottom_navigation_event.dart';
import 'bottom_navigation_state.dart';

// Bloc
class BottomNavigationBloc
    extends Bloc<BottomNavigationEvent, BottomNavigationState> {
  BottomNavigationBloc() : super(TabState(1)) {
    // Register the event handler
    on<TabChanged>((event, emit) {
      emit(TabState(event.index));
    });
  }
}
